
From: "Martin J. Bligh" <mbligh@aracnet.com>

Due to the extreme twistedness of the world, CONFIG_X86_TSC doesn't mean "I
have a TSC", it means "I compiled out PIT support completely".  Don't ask
me why.  

However, this means that the check for it in the lockmeter code is invalid
- it's perfectly valid to use a i386 compiled kernel on a 686, where
CONFIG_X86_TSC is off, but we have both TSC and PIT support.



 include/asm-i386/lockmeter.h |    4 ----
 1 files changed, 4 deletions(-)

diff -puN include/asm-i386/lockmeter.h~lockmeter-does-not-require-CONFIG_X86_TSC include/asm-i386/lockmeter.h
--- 25/include/asm-i386/lockmeter.h~lockmeter-does-not-require-CONFIG_X86_TSC	2003-12-27 17:43:08.000000000 -0800
+++ 25-akpm/include/asm-i386/lockmeter.h	2003-12-27 17:43:08.000000000 -0800
@@ -108,9 +108,6 @@ extern inline int rwlock_readers(rwlock_
 /* this is a lot of typing just to get gcc to emit "rdtsc" */
 static inline long long get_cycles64 (void)
 {
-#ifndef CONFIG_X86_TSC
-	#error this code requires CONFIG_X86_TSC
-#else
 	union longlong_u {
 		long long intlong;
 		struct intint_s {
@@ -121,7 +118,6 @@ static inline long long get_cycles64 (vo
 
 	rdtsc(longlong.intint.eax,longlong.intint.edx);
 	return longlong.intlong;
-#endif
 }
 
 #endif /* _I386_LOCKMETER_H */

_
